Debian Bug report logs - #332962
tulip module no longer works on a500

version graph

Package: linux-2.6; Maintainer for linux-2.6 is Debian Kernel Team <debian-kernel@lists.debian.org>;

Reported by: Joey Hess <joeyh@debian.org>

Date: Sun, 9 Oct 2005 20:33:01 UTC

Severity: normal

Tags: d-i, pending

Fixed in versions linux-2.6/2.6.18.dfsg.1-12, linux-2.6/2.6.20-2

Done: Bastian Blank <waldi@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#332962; Package linux-image-2.6.12-1-parisc64. Full text and rfc822 format available.

Acknowledgement sent to Joey Hess <joeyh@debian.org>:
New Bug report received and forwarded. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Joey Hess <joeyh@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Cc: debian-hppa@lists.debian.org
Subject: tulip module no longer works on a500
Date: Sun, 9 Oct 2005 16:18:16 -0400
[Message part 1 (text/plain, inline)]
Package: linux-image-2.6.12-1-parisc64
Severity: normal
Tags: d-i

I run daily installation tests with d-i on a hppa a500 machine. This no longer
works now that d-i has been updated to use this kernel version. It seems that
this version of the kernel does not support the onboard ethernet card. d-i
loads the tulip module, but nothing happens; dmesg ends like this:

Linux Tulip driver version 1.1.13 (December 15, 2004)

There's no ethernet device listed in ifconfig or /proc/net/dev.
/proc/pci does show that the ethernet card is there:

  Bus  0, device   0, function  0:
    Ethernet controller: Digital Equipment Corporation DECchip 21142/43 (rev 65).
      IRQ 65.
      Master Capable.  Latency=255.  Min Gnt=20.Max Lat=40.
      I/O at 0x0 [0x7f].
      Non-prefetchable 32 bit memory at 0xfffffffff8020000 [0xfffffffff80203ff].

p2-mate points out that I/O at 0x0 is quite strange. and if I boot the 2.6.8
kernel, I get this:

tulip0: no phy info, aborting mtable build
tulip0:  MII transceiver #1 config 1000 status 782d advertising 0061.
eth0: Digital DS21143 Tulip rev 65 at 0x80, 00:30:6E:1C:90:2E, IRQ 128.

  0, device   0, function  0:
    Ethernet controller: Digital Equipment Corporation DECchip 21142/43 (rev 65).
      IRQ 128.
      Master Capable.  Latency=255.  Min Gnt=20.Max Lat=40.
      I/O at 0x80 [0xff].
      Non-prefetchable 32 bit memory at 0xfffffffff8007000 [0xfffffffff80073ff].

Note the port 0x80... The other devices in pspci (scsi, etc) seem to be
at the same ports with either kernel. 

With 2.6.12 I do see another device showing up at the 0x80 port:

  Bus  0, device   4, function  0:
    Serial controller: Hewlett-Packard Company Diva Serial [GSP] Multiport UART (rev 2).
      IRQ 69.
      Master Capable.  Latency=255.  Min Gnt=8.Max Lat=255.
      Non-prefetchable 32 bit memory at 0xfffffffff8000000 [0xfffffffff8000fff].
      I/O at 0x80 [0xbf].

Back in 2.6.8, this device shows up on port 0x40:

  Bus  0, device   4, function  0:
    Serial controller: Hewlett-Packard Company Diva Serial [GSP] Multiport UART (rev 2).
      IRQ 132.
      Master Capable.  Latency=255.  Min Gnt=8.Max Lat=255.
      Non-prefetchable 32 bit memory at 0xfffffffff8000000 [0xfffffffff8000fff].
      I/O at 0x40 [0x7f].

Here is a prior report of a mostly successful install on this same machine:

http://bugs.debian.org/283754

Note that this machine has two other (external) ethernet cards that, AFAIK, I
cannot use with the linux kernel.

Until this bug is fixed, I will be unable to provide daily installation tests
for the hppa architecture.

-- System Information:
Debian Release: testing/unstable
  APT prefers unstable
  APT policy: (500, 'unstable'), (1, 'experimental')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.4.27
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)

Here's the complete /proc/pci dump from 2.6.12:

PCI devices found:
  Bus  0, device   0, function  0:
    Ethernet controller: Digital Equipment Corporation DECchip 21142/43 (rev 65)
.
      IRQ 65.
      Master Capable.  Latency=255.  Min Gnt=20.Max Lat=40.
      I/O at 0x0 [0x7f].
      Non-prefetchable 32 bit memory at 0xfffffffff8020000 [0xfffffffff80203ff].
  Bus  0, device   1, function  0:
    SCSI storage controller: LSI Logic / Symbios Logic 53C896/897 (rev 7).
      IRQ 66.
      Master Capable.  No bursts.  Min Gnt=17.Max Lat=64.
      I/O at 0x100 [0x1ff].
      Non-prefetchable 64 bit memory at 0xfffffffff8008000 [0xfffffffff80083ff].
      Non-prefetchable 64 bit memory at 0xfffffffff8002000 [0xfffffffff8003fff].
  Bus  0, device   1, function  1:
    SCSI storage controller: LSI Logic / Symbios Logic 53C896/897 (#2) (rev 7).
      IRQ 67.
      Master Capable.  No bursts.  Min Gnt=17.Max Lat=64.
      I/O at 0x200 [0x2ff].
      Non-prefetchable 64 bit memory at 0xfffffffff8009000 [0xfffffffff80093ff].
      Non-prefetchable 64 bit memory at 0xfffffffff8004000 [0xfffffffff8005fff].
  Bus  0, device   2, function  0:
    SCSI storage controller: LSI Logic / Symbios Logic 53c875 (rev 20).
      IRQ 67.
      Master Capable.  No bursts.  Min Gnt=17.Max Lat=64.
      I/O at 0x300 [0x3ff].
      Non-prefetchable 32 bit memory at 0xfffffffff800a000 [0xfffffffff800a0ff].
      Non-prefetchable 32 bit memory at 0xfffffffff8001000 [0xfffffffff8001fff].
  Bus  0, device   2, function  1:
    SCSI storage controller: LSI Logic / Symbios Logic 53c875 (#2) (rev 20).
      IRQ 68.
      Master Capable.  No bursts.  Min Gnt=17.Max Lat=64.
      I/O at 0x400 [0x4ff].
      Non-prefetchable 32 bit memory at 0xfffffffff800b000 [0xfffffffff800b0ff].
      Non-prefetchable 32 bit memory at 0xfffffffff8006000 [0xfffffffff8006fff].
  Bus  0, device   4, function  0:
    Serial controller: Hewlett-Packard Company Diva Serial [GSP] Multiport UART 
(rev 2).
      IRQ 69.
      Master Capable.  Latency=255.  Min Gnt=8.Max Lat=255.
      Non-prefetchable 32 bit memory at 0xfffffffff8000000 [0xfffffffff8000fff].
      I/O at 0x80 [0xbf].
  Bus  0, device   5, function  0:
    Serial controller: Hewlett-Packard Company Diva Serial [GSP] Multiport UART 
(#2) (rev 2).
      IRQ 70.
      Master Capable.  No bursts.  Min Gnt=8.Max Lat=255.
      Non-prefetchable 32 bit memory at 0xfffffffff8007000 [0xfffffffff8007fff].
      I/O at 0xc0 [0xff].
  Bus 16, device   0, function  0:
    Ethernet controller: Alteon Networks Inc. AceNIC Gigabit Ethernet (rev 1).
      IRQ 71.
      Master Capable.  No bursts.  Min Gnt=64.
      Non-prefetchable 32 bit memory at 0xfffffffff9000000 [0xfffffffff9003fff].
  Bus 32, device   0, function  0:
    Ethernet controller: Alteon Networks Inc. AceNIC Gigabit Ethernet (#2) (rev 
1).
      IRQ 72.
      Master Capable.  No bursts.  Min Gnt=64.
      Non-prefetchable 32 bit memory at 0xfffffffffa000000 [0xfffffffffa003fff].
  Bus 48, device   2, function  0:
    SCSI storage controller: LSI Logic / Symbios Logic 53c1010 66MHz  Ultra3 SCS
I Adapter (rev 1).
      IRQ 73.
      Master Capable.  No bursts.  Min Gnt=17.Max Lat=18.
      I/O at 0x30000 [0x300ff].
      Non-prefetchable 64 bit memory at 0xfffffffffb022000 [0xfffffffffb0223ff].
      Non-prefetchable 64 bit memory at 0xfffffffffb020000 [0xfffffffffb021fff].

Here's the complete /proc/pci dump from 2.6.8:

PCI devices found:
  Bus  0, device   0, function  0:
    Ethernet controller: Digital Equipment Corporation DECchip 21142/43 (rev 65)
.
      IRQ 128.
      Master Capable.  Latency=255.  Min Gnt=20.Max Lat=40.
      I/O at 0x80 [0xff].
      Non-prefetchable 32 bit memory at 0xfffffffff8007000 [0xfffffffff80073ff].
  Bus  0, device   1, function  0:
    SCSI storage controller: LSI Logic / Symbios Logic 53c896 (rev 7).
      IRQ 129.
      Master Capable.  Latency=128.  Min Gnt=17.Max Lat=64.
      I/O at 0x100 [0x1ff].
      Non-prefetchable 64 bit memory at 0xfffffffff8008000 [0xfffffffff80083ff].
      Non-prefetchable 64 bit memory at 0xfffffffff8002000 [0xfffffffff8003fff].
  Bus  0, device   1, function  1:
    SCSI storage controller: LSI Logic / Symbios Logic 53c896 (#2) (rev 7).
      IRQ 130.
      Master Capable.  Latency=128.  Min Gnt=17.Max Lat=64.
      I/O at 0x200 [0x2ff].
      Non-prefetchable 64 bit memory at 0xfffffffff8009000 [0xfffffffff80093ff].
      Non-prefetchable 64 bit memory at 0xfffffffff8004000 [0xfffffffff8005fff].
  Bus  0, device   2, function  0:
    SCSI storage controller: LSI Logic / Symbios Logic 53c875 (rev 20).
      IRQ 130.
      Master Capable.  Latency=128.  Min Gnt=17.Max Lat=64.
      I/O at 0x300 [0x3ff].
      Non-prefetchable 32 bit memory at 0xfffffffff800a000 [0xfffffffff800a0ff].
      Non-prefetchable 32 bit memory at 0xfffffffff8001000 [0xfffffffff8001fff].
  Bus  0, device   2, function  1:
    SCSI storage controller: LSI Logic / Symbios Logic 53c875 (#2) (rev 20).
      IRQ 131.
      Master Capable.  Latency=255.  Min Gnt=17.Max Lat=64.
      I/O at 0x400 [0x4ff].
      Non-prefetchable 32 bit memory at 0xfffffffff8020000 [0xfffffffff80200ff].
      Non-prefetchable 32 bit memory at 0xfffffffff8040000 [0xfffffffff8040fff].
  Bus  0, device   4, function  0:
    Serial controller: Hewlett-Packard Company Diva Serial [GSP] Multiport UART 
(rev 2).
      IRQ 132.
      Master Capable.  Latency=255.  Min Gnt=8.Max Lat=255.
      Non-prefetchable 32 bit memory at 0xfffffffff8000000 [0xfffffffff8000fff].
      I/O at 0x40 [0x7f].
  Bus  0, device   5, function  0:
    Serial controller: Hewlett-Packard Company Diva Serial [GSP] Multiport UART 
(#2) (rev 2).
      IRQ 133.
      Master Capable.  No bursts.  Min Gnt=8.Max Lat=255.
      Non-prefetchable 32 bit memory at 0xfffffffff8006000 [0xfffffffff8006fff].
      I/O at 0x500 [0x53f].
  Bus 16, device   0, function  0:
    Ethernet controller: Alteon Networks Inc. AceNIC Gigabit Ethernet (rev 1).
      IRQ 192.
      Master Capable.  No bursts.  Min Gnt=64.
      Non-prefetchable 32 bit memory at 0xfffffffff9000000 [0xfffffffff9003fff].
  Bus 32, device   0, function  0:
    Ethernet controller: Alteon Networks Inc. AceNIC Gigabit Ethernet (#2) (rev 
1).
      IRQ 256.
      Master Capable.  No bursts.  Min Gnt=64.
      Non-prefetchable 32 bit memory at 0xfffffffffa000000 [0xfffffffffa003fff].
  Bus 48, device   2, function  0:
    SCSI storage controller: LSI Logic / Symbios Logic 53c1010 66MHz  Ultra3 SCS
I Adapter (rev 1).
      IRQ 322.
      Master Capable.  Latency=128.  Min Gnt=17.Max Lat=18.
      I/O at 0x30000 [0x300ff].
      Non-prefetchable 64 bit memory at 0xfffffffffb022000 [0xfffffffffb0223ff].
      Non-prefetchable 64 bit memory at 0xfffffffffb020000 [0xfffffffffb021fff].

-- 
see shy jo
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#332962; Package linux-image-2.6.12-1-parisc64. Full text and rfc822 format available.

Acknowledgement sent to Joey Hess <joeyh@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #10 received at 332962@bugs.debian.org (full text, mbox):

From: Joey Hess <joeyh@debian.org>
To: 332962@bugs.debian.org
Subject: more info
Date: Sun, 9 Oct 2005 16:50:12 -0400
[Message part 1 (text/plain, inline)]
2.6.8 in Debian:

bison:~# cat /proc/ioports 
00000000-0000ffff : LBA I/O Port
  00000040-0000007f : Hewlett-Packard Company Diva Serial [GSP] Multiport UART
    00000040-00000047 : serial(auto)
  00000080-000000ff : Digital Equipment Corporation DECchip 21142/43
    00000080-000000ff : tulip
  00000100-000001ff : LSI Logic / Symbios Logic 53c896
    00000100-000001ff : sym53c8xx
  00000200-000002ff : LSI Logic / Symbios Logic 53c896 (#2)
    00000200-000002ff : sym53c8xx
  00000300-000003ff : LSI Logic / Symbios Logic 53c875
    00000300-0000037f : sym53c8xx
  00000400-000004ff : LSI Logic / Symbios Logic 53c875 (#2)
    00000400-0000047f : sym53c8xx
  00000500-0000053f : Hewlett-Packard Company Diva Serial [GSP] Multiport UART (
00010000-0001ffff : LBA I/O Port
00020000-0002ffff : LBA I/O Port
00030000-0003ffff : LBA I/O Port
  00030000-000300ff : LSI Logic / Symbios Logic 53c1010 66MHz  Ultra3 SCSI Adapt
    00030000-000300ff : sym53c8xx

2.6.12 in d-i:

~ # cat /proc/ioports 
00000000-0000ffff : PCI00 Ports
  00000000-0000007f : 0000:00:00.0
  00000080-000000bf : 0000:00:04.0
  000000c0-000000ff : 0000:00:05.0
  00000100-000001ff : 0000:00:01.0
  00000200-000002ff : 0000:00:01.1
  00000300-000003ff : 0000:00:02.0
  00000400-000004ff : 0000:00:02.1
00010000-0001ffff : PCI10 Ports
00020000-0002ffff : PCI20 Ports
00030000-0003ffff : PCI30 Ports
  00030000-000300ff : 0000:30:02.0

-- 
see shy jo
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#332962; Package linux-image-2.6.12-1-parisc64. Full text and rfc822 format available.

Acknowledgement sent to Joey Hess <joeyh@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #15 received at 332962@bugs.debian.org (full text, mbox):

From: Joey Hess <joeyh@debian.org>
To: 332962@bugs.debian.org
Subject: FWD: Re: tulip module no longer works on a500
Date: Sun, 9 Oct 2005 17:42:26 -0400
[Message part 1 (text/plain, inline)]
----- Forwarded message from Grant Grundler <grundler@parisc-linux.org> -----

From: Grant Grundler <grundler@parisc-linux.org>
Date: Sun, 9 Oct 2005 15:14:42 -0600
To: Joey Hess <joeyh@debian.org>
Cc: Debian Bug Tracking System <submit@bugs.debian.org>,
	debian-hppa@lists.debian.org
Subject: Re: tulip module no longer works on a500
User-Agent: Mutt/1.5.9i

On Sun, Oct 09, 2005 at 04:18:16PM -0400, Joey Hess wrote:
> I run daily installation tests with d-i on a hppa a500 machine.

Awesome!

> /proc/pci does show that the ethernet card is there:
> 
>   Bus  0, device   0, function  0:
>     Ethernet controller: Digital Equipment Corporation DECchip 21142/43 (rev 65).
>       IRQ 65.
>       Master Capable.  Latency=255.  Min Gnt=20.Max Lat=40.
>       I/O at 0x0 [0x7f].
>       Non-prefetchable 32 bit memory at 0xfffffffff8020000 [0xfffffffff80203ff].
> 
> p2-mate points out that I/O at 0x0 is quite strange.

It's definitely wrong. It implies the resource never got assigned
or someone/something clobbered it.
PAT PDC machines (e.g. A500) need to assign resources for all PCI
devices except boot device and console. And the kernel definitely
does it for all the PAT boxes I've seen (e.g. 2.6.14-rc2):

ios:/usr/src# cat /proc/pci
PCI devices found:
  Bus  0, device   0, function  0:
    Class 0200: PCI device 1011:0019 (rev 65).
      IRQ 18.
      Master Capable.  Latency=128.  Min Gnt=20.Max Lat=40.
      I/O at 0x80 [0xff].
      Non-prefetchable 32 bit memory at 0xfffffffff8006000 [0xfffffffff80063ff]....

Can you post the entire console boot log someplace?

> Note the port 0x80... The other devices in pspci (scsi, etc) seem to be
> at the same ports with either kernel. 

ok - good to know.

> With 2.6.12 I do see another device showing up at the 0x80 port:
> 
>   Bus  0, device   4, function  0:
>     Serial controller: Hewlett-Packard Company Diva Serial [GSP] Multiport UART (rev 2).

This is the serial console. Sounds like a change in the resource
assignment is breakng your box.

> Note that this machine has two other (external) ethernet cards that, AFAIK, I
> cannot use with the linux kernel.

Eh?!!

"AceNIC Gigabit Ethernet" are most certainly supported by acenic driver.
I've submitted necessary driver fixes years ago and tested them.
Can you try "modprobe acenic"?

> Until this bug is fixed, I will be unable to provide daily installation tests
> for the hppa architecture.

We should be able to narrow this down pretty quickly.
I'm pretty sure we'll need more help from you or remote access
to the machine.

thanks,
grant


----- End forwarded message -----

-- 
see shy jo
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#332962; Package linux-image-2.6.12-1-parisc64. Full text and rfc822 format available.

Acknowledgement sent to Joey Hess <joeyh@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #20 received at 332962@bugs.debian.org (full text, mbox):

From: Joey Hess <joeyh@debian.org>
To: 332962@bugs.debian.org
Subject: FWD: Re: tulip module no longer works on a500
Date: Sun, 9 Oct 2005 17:42:31 -0400
[Message part 1 (text/plain, inline)]
----- Forwarded message from Kyle McMartin <kyle@mcmartin.ca> -----

From: Kyle McMartin <kyle@mcmartin.ca>
Date: Sun, 9 Oct 2005 17:13:21 -0400
To: Grant Grundler <grundler@parisc-linux.org>
Cc: Joey Hess <joeyh@debian.org>, debian-hppa@lists.debian.org
Subject: Re: tulip module no longer works on a500
User-Agent: Mutt/1.5.9i

On Sun, Oct 09, 2005 at 03:14:42PM -0600, Grant Grundler wrote:
> "AceNIC Gigabit Ethernet" are most certainly supported by acenic driver.
> I've submitted necessary driver fixes years ago and tested them.
> Can you try "modprobe acenic"?
>

Likely removed from Debian kernel because it contains non-free firmware.

A quick look at scripts/prune-non-free:
	FILES = %w{
        drivers/net/acenic.c
        drivers/net/acenic.h
        drivers/net/acenic_firmware.h

confirms this.

Cheers,
	Kyle 


----- End forwarded message -----

-- 
see shy jo
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#332962; Package linux-image-2.6.12-1-parisc64. Full text and rfc822 format available.

Acknowledgement sent to Joey Hess <joeyh@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #25 received at 332962@bugs.debian.org (full text, mbox):

From: Joey Hess <joeyh@debian.org>
To: debian-hppa@lists.debian.org
Cc: 332962@bugs.debian.org
Subject: Re: tulip module no longer works on a500
Date: Sun, 9 Oct 2005 17:47:05 -0400
[Message part 1 (text/plain, inline)]
Grant Grundler wrote:
> Can you post the entire console boot log someplace?

Here you go. Also, see my other mail to the bug report for some fairly
damning /proc/ioports stuff.

http://dilab.debian.net:800/~joey/d-i/logs/hppa/bison-dns-server-d-i-26.log

I'd try acenic, but the module is not in the d-i hppa boot image.

-- 
see shy jo
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#332962; Package linux-image-2.6.12-1-parisc64. Full text and rfc822 format available.

Acknowledgement sent to Grant Grundler <grundler@parisc-linux.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #30 received at 332962@bugs.debian.org (full text, mbox):

From: Grant Grundler <grundler@parisc-linux.org>
To: Joey Hess <joeyh@debian.org>
Cc: debian-hppa@lists.debian.org, 332962@bugs.debian.org
Subject: Re: tulip module no longer works on a500
Date: Sun, 9 Oct 2005 23:55:24 -0600
On Sun, Oct 09, 2005 at 05:47:05PM -0400, Joey Hess wrote:
> Grant Grundler wrote:
> > Can you post the entire console boot log someplace?
> 
> Here you go. Also, see my other mail to the bug report for some fairly
> damning /proc/ioports stuff.

I looked through the additional /proc/ioport output and I'm not
clear why the change. My own 2.6.14-rc2 kernel on my a500 says:
gsyprf11:~# cat /proc/ioports 
00000000-0000ffff : PCI00 Ports
  00000040-0000007f : 0000:00:04.1
  00000080-000000ff : 0000:00:00.0
    00000080-000000ff : tulip
  00000100-000001ff : 0000:00:01.0
    00000100-000001ff : sym53c8xx
  00000200-000002ff : 0000:00:01.1
    00000200-000002ff : sym53c8xx
  00000300-000003ff : 0000:00:02.0
    00000300-000003ff : sym53c8xx
  00000400-000004ff : 0000:00:02.1
    00000400-000004ff : sym53c8xx
00010000-0001ffff : PCI10 Ports
00020000-0002ffff : PCI20 Ports
  00020000-000200ff : 0000:20:00.0
  00020100-000201ff : 0000:20:00.0
00030000-0003ffff : PCI30 Ports
  00030000-000300ff : 0000:30:02.0
    00030000-000300ff : sym53c8xx
  00030100-000301ff : 0000:30:02.1
    00030100-000301ff : sym53c8xx

Looks very similar to 2.6.8 output. So the 2.6.12 output from
the debian kernel is just wierd. (Maybe compiler/toolchain bug?)

I realize now that the 2.6.12 "cat /proc/ioports" output in this
bug (332962) doesn't list sym53c8xx driver.
Is there maybe something fundemental wrong with module loading?
ie can sym53c8xx driver be loaded?

> http://dilab.debian.net:800/~joey/d-i/logs/hppa/bison-dns-server-d-i-26.log

Unfortunately, this console log isn't that useful. The interesting
stuff wasn't directed to the console (modprobe tulip output) and
much of the boot output was obscured by the bloody "Virtual Front
Panel" (VFP).  Can you add "pdcchassis=0" to the kernel boot
command line and try again?

Or capture "dmesg" output once the 2.6.12 Install ISO can get to
a shell prompt. The goal here is to capture any messages spewed
by PCI subsystem during initialization and verify that the
tulip driver only spews driver version and never finds
any devices.


I think the IO Port address is irrelevant to the problem of tulip
driver not finding devices that the PCI subsystem clearly knows about.
IO resource allocation failure seems to be the only case that might
cause tulip_init_one() to silently exit.  But then /proc/ioports
doesn't indicate any conflicts.

I have to wonder if willy is on the right track with
PCIBIOS_MIN_IO not being honored. Will look into this
after we get a full console log.


thanks,
grant



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#332962; Package linux-image-2.6.12-1-parisc64. Full text and rfc822 format available.

Acknowledgement sent to Kyle McMartin <kyle@mcmartin.ca>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #35 received at 332962@bugs.debian.org (full text, mbox):

From: Kyle McMartin <kyle@mcmartin.ca>
To: Grant Grundler <grundler@parisc-linux.org>
Cc: Joey Hess <joeyh@debian.org>, debian-hppa@lists.debian.org, 332962@bugs.debian.org
Subject: Re: tulip module no longer works on a500
Date: Mon, 10 Oct 2005 14:19:38 -0400
On Sun, Oct 09, 2005 at 11:55:24PM -0600, Grant Grundler wrote:
> Looks very similar to 2.6.8 output. So the 2.6.12 output from
> the debian kernel is just wierd. (Maybe compiler/toolchain bug?)
>

I just booted linux-image-2.6.12-1 on my a500:

% cat /proc/ioports 
00000000-0000ffff : PCI00 Ports
  00000040-0000007f : 0000:00:04.0
  00000080-000000ff : 0000:00:00.0
    00000080-000000ff : tulip
  00000100-000001ff : 0000:00:01.0
    00000100-000001ff : sym53c8xx
  00000200-000002ff : 0000:00:01.1
    00000200-000002ff : sym53c8xx
  00000300-000003ff : 0000:00:02.0
    00000300-000003ff : sym53c8xx
  00000400-000004ff : 0000:00:02.1
    00000400-000004ff : sym53c8xx
  00000500-0000053f : 0000:00:05.0

Cheers,
	Kyle 



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#332962; Package linux-image-2.6.12-1-parisc64. Full text and rfc822 format available.

Acknowledgement sent to Joey Hess <joeyh@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #40 received at 332962@bugs.debian.org (full text, mbox):

From: Joey Hess <joeyh@debian.org>
To: Grant Grundler <grundler@parisc-linux.org>
Cc: debian-hppa@lists.debian.org, 332962@bugs.debian.org
Subject: Re: tulip module no longer works on a500
Date: Mon, 10 Oct 2005 14:52:48 -0400
[Message part 1 (text/plain, inline)]
Grant Grundler wrote:
> I realize now that the 2.6.12 "cat /proc/ioports" output in this
> bug (332962) doesn't list sym53c8xx driver.
> Is there maybe something fundemental wrong with module loading?
> ie can sym53c8xx driver be loaded?

I'm booting 2.6.12 with the d-i netboot install image, and since there's
no network, it's not downloaded the disk drivers yet. If you really need
to know if sym53c8xx loads ok, I can make a custom netboot image that
includes the module and try to load it though..

> > http://dilab.debian.net:800/~joey/d-i/logs/hppa/bison-dns-server-d-i-26.log
> 
> Unfortunately, this console log isn't that useful. The interesting
> stuff wasn't directed to the console (modprobe tulip output) and
> much of the boot output was obscured by the bloody "Virtual Front
> Panel" (VFP).  Can you add "pdcchassis=0" to the kernel boot
> command line and try again?
> 
> Or capture "dmesg" output once the 2.6.12 Install ISO can get to
> a shell prompt. The goal here is to capture any messages spewed
> by PCI subsystem during initialization and verify that the
> tulip driver only spews driver version and never finds
> any devices.

Sorry, didn't realize the log was quite that broken. Here's a better
one. Unfortunatly, without a network (and no CD drive on my a500 either),
I'm limited to copy and paste.

~ # dmesg
Linux version 2.6.12-1-parisc64 (buildd@sarti) (gcc version 4.0.2 (Debian 4.0.1-
9)) #1 Tue Sep 27 12:08:15 UTC 2005
FP[0] enabled: Rev 1 Model 16
The 64-bit Kernel has started...
Initialized PDC Console for debugging.
Determining PDC firmware type: 64 bit PAT.
model 00005d50 00000491 00000000 00000001 214e297e 100000f0 00000008 000000b2 00
0000b2
vers  00000301
CPUID vers 18 rev 11 (0x0000024b)
capabilities 0x1
model 9000/800/A500-5X
Total Memory: 2048 MB
initrd: 4fd87000-4ffeed10
initrd: reserving 3fd87000-3ffeed10 (mem_max 80000000)
On node 0 totalpages: 524288
  DMA zone: 524288 pages, LIFO batch:31
  Normal zone: 0 pages, LIFO batch:1
  HighMem zone: 0 pages, LIFO batch:1
Built 1 zonelists
Kernel command line: preseed/url=http://chicken/~joey/d-i/preseed/test-net.cfg r
oot=/dev/ram0 ramdisk_size=8734 console=ttyS0 TERM=vt102 palo_kernel=0/linux
PID hash table entries: 4096 (order: 12, 131072 bytes)
Console: colour dummy device 160x64
Dentry cache hash table entries: 524288 (order: 10, 4194304 bytes)
Inode-cache hash table entries: 262144 (order: 9, 2097152 bytes)
Memory: 2097152k available
Calibrating delay loop... 1093.63 BogoMIPS (lpj=546816)
Security Framework v1.0.0 initialized
Capability LSM initialized
Mount-cache hash table entries: 256
checking if image is initramfs...it isn't (no cpio magic); looks like an initrd
NET: Registered protocol family 16
EISA bus registered
Searching for devices...
Found devices:
1. Crescendo 550 at 0xfffffffffffa0000 [160] { 0, 0x0, 0x5d5, 0x00004 }
2. Crescendo 550 at 0xfffffffffffa2000 [162] { 0, 0x0, 0x5d5, 0x00004 }
3. Memory at 0xfffffffffed08000 [8] { 1, 0x0, 0x09b, 0x00009 }
4. Astro BC Runway Port at 0xfffffffffed00000 [0] { 12, 0x0, 0x582, 0x0000b }
5. Elroy PCI Bridge at 0xfffffffffed30000 [0/0] { 13, 0x0, 0x782, 0x0000a }
6. Elroy PCI Bridge at 0xfffffffffed34000 [0/2] { 13, 0x0, 0x782, 0x0000a }
7. Elroy PCI Bridge at 0xfffffffffed38000 [0/4] { 13, 0x0, 0x782, 0x0000a }
8. Elroy PCI Bridge at 0xfffffffffed3c000 [0/6] { 13, 0x0, 0x782, 0x0000a }
Enabling PDC_PAT chassis codes support.
CONFIG_SMP=n  ignoring additional CPUs
CPU: probe of 162 failed with error 1
CPU(s): 1 x PA8600 (PCX-W+) at 550.000000 MHz
Whole cache flush 340145 cycles, flushing 274493832 bytes 44413898 cycles
Setting cache flush threshold to 201400 (1 CPUs online)
SBA found Astro 2.1 at 0xfffffffffed00000
LBA version TR4.0 (0x5) found at 0xfffffffffed30000
LBA version TR4.0 (0x5) found at 0xfffffffffed34000
LBA version TR4.0 (0x5) found at 0xfffffffffed38000
LBA version TR4.0 (0x5) found at 0xfffffffffed3c000
SCSI subsystem initialized
TC classifier action (bugs to netdev@vger.kernel.org cc hadi@cyberus.ca)
unwind_init: start = 0x103cbc40, end = 0x103ebf60, entries = 8242
Performance monitoring counters enabled for Crescendo 550
VFS: Disk quotas dquot_6.5.1
Dquot-cache hash table entries: 512 (order 0, 4096 bytes)
devfs: 2004-01-31 Richard Gooch (rgooch@atnf.csiro.au)
devfs: boot_options: 0x0
Initializing Cryptographic API
PDC Stable Storage facility v0.09
Soft power switch support not available.
STI GSC/PCI core graphics driver Version 0.9a
Generic RTC Driver v1.07
Serial: 8250/16550 driver $Revision: 1.90 $ 13 ports, IRQ sharing enabled
ttyS0 at MMIO 0xfffffffff8000000 (irq = 69) is a 16550A
ttyS1 at MMIO 0xfffffffff8000008 (irq = 69) is a 16550A
ttyS2 at MMIO 0xfffffffff8000010 (irq = 69) is a 16550A
ttyS3 at MMIO 0xfffffffff8007000 (irq = 70) is a 16550A
ttyS4 at MMIO 0xfffffffff8007008 (irq = 70) is a 16550A
io scheduler noop registered
io scheduler anticipatory registered
io scheduler deadline registered
io scheduler cfq registered
RAMDISK driver initialized: 16 RAM disks of 8734K size 1024 blocksize
mice: PS/2 mouse device common for all mice
NET: Registered protocol family 2
IP: routing cache hash table of 16384 buckets, 128Kbytes
TCP established hash table entries: 524288 (order: 10, 4194304 bytes)
TCP bind hash table entries: 65536 (order: 7, 524288 bytes)
TCP: Hash tables configured (established 524288 bind 65536)
NET: Registered protocol family 1
NET: Registered protocol family 17
RAMDISK: Compressed image found at block 0
VFS: Mounted root (ext2 filesystem) readonly.
Freeing unused kernel memory: 380k freed
Linux Tulip driver version 1.1.13 (December 15, 2004)
~ # 

Here for comparison are the lines after tulip for 2.6.8:

tulip0: no phy info, aborting mtable build
tulip0:  MII transceiver #1 config 1000 status 782d advertising 01e1.
eth0: Digital DS21143 Tulip rev 65 at 0xfffffffff8020000, 00:30:6E:1C:90:2E, IR
NET: Registered protocol family 17
eth0: Setting full-duplex based on MII#1 link partner capability of45e1.

I can also give out remote access to this machine including the console
BTW.

-- 
see shy jo
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#332962; Package linux-image-2.6.12-1-parisc64. Full text and rfc822 format available.

Acknowledgement sent to Grant Grundler <grundler@parisc-linux.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #45 received at 332962@bugs.debian.org (full text, mbox):

From: Grant Grundler <grundler@parisc-linux.org>
To: Joey Hess <joeyh@debian.org>
Cc: Grant Grundler <grundler@parisc-linux.org>, debian-hppa@lists.debian.org, 332962@bugs.debian.org
Subject: Re: tulip module no longer works on a500
Date: Mon, 10 Oct 2005 13:24:41 -0600
On Mon, Oct 10, 2005 at 02:52:48PM -0400, Joey Hess wrote:
> Grant Grundler wrote:
> > I realize now that the 2.6.12 "cat /proc/ioports" output in this
> > bug (332962) doesn't list sym53c8xx driver.
> > Is there maybe something fundemental wrong with module loading?
> > ie can sym53c8xx driver be loaded?
> 
> I'm booting 2.6.12 with the d-i netboot install image, and since there's
> no network, it's not downloaded the disk drivers yet.

Netboot install uses a different initrd than the regular install?
To do a basic install, one needs to load the drivers that control storage. 
Given the size problems with the initrd, I find it hard to believe
that sym2 driver wouldn't be included.

> If you really need to know if sym53c8xx loads ok, I can make a
> custom netboot image that includes the module and try to load it though..

If that's the only way...


...
> Sorry, didn't realize the log was quite that broken. Here's a better
> one. Unfortunatly, without a network (and no CD drive on my a500 either),
> I'm limited to copy and paste.

that's perfect! thanks!

> 
> ~ # dmesg
> Linux version 2.6.12-1-parisc64 (buildd@sarti) (gcc version 4.0.2 (Debian 4.0.1-9)) #1 Tue Sep 27 12:08:15 UTC 2005
> FP[0] enabled: Rev 1 Model 16
> The 64-bit Kernel has started...
> Initialized PDC Console for debugging.
> Determining PDC firmware type: 64 bit PAT.
> model 00005d50 00000491 00000000 00000001 214e297e 100000f0 00000008 000000b2 00
> 0000b2
> vers  00000301
> CPUID vers 18 rev 11 (0x0000024b)
> capabilities 0x1
> model 9000/800/A500-5X
> Total Memory: 2048 MB

ok. looks good.

...
> Kernel command line: preseed/url=http://chicken/~joey/d-i/preseed/test-net.cfg r
> oot=/dev/ram0 ramdisk_size=8734 console=ttyS0 TERM=vt102 palo_kernel=0/linux

Is this ramisk size big enough?
Wasn't the reccomendation to use 32MB?

...
> VFS: Mounted root (ext2 filesystem) readonly.
> Freeing unused kernel memory: 380k freed
> Linux Tulip driver version 1.1.13 (December 15, 2004)
> ~ # 

Can you add "tulip_debug=4" to the "modprobe tulip" command?

> I can also give out remote access to this machine including the console
> BTW.

If this gets tedious for you, yes please. Please list what you need
to know and send that the to me offlist. Otherwise, I expect we
should be able to debug this with just console output.

thanks,
grant



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#332962; Package linux-image-2.6.12-1-parisc64. Full text and rfc822 format available.

Acknowledgement sent to Joey Hess <joeyh@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #50 received at 332962@bugs.debian.org (full text, mbox):

From: Joey Hess <joeyh@debian.org>
To: Grant Grundler <grundler@parisc-linux.org>
Cc: debian-hppa@lists.debian.org, 332962@bugs.debian.org
Subject: Re: tulip module no longer works on a500
Date: Tue, 11 Oct 2005 23:36:21 -0400
[Message part 1 (text/plain, inline)]
Grant Grundler wrote:
> Netboot install uses a different initrd than the regular install?

If you define "regular" as "from CD", then yes.

> To do a basic install, one needs to load the drivers that control storage. 
> Given the size problems with the initrd, I find it hard to believe
> that sym2 driver wouldn't be included.

d-i initrds contain the bare minimum of software required to access a
repository and retrieve the rest of d-i.

> > Kernel command line: preseed/url=http://chicken/~joey/d-i/preseed/test-net.cfg r
> > oot=/dev/ram0 ramdisk_size=8734 console=ttyS0 TERM=vt102 palo_kernel=0/linux
> 
> Is this ramisk size big enough?
> Wasn't the reccomendation to use 32MB?

That's the actual ramdisk size, calculated based on the size of the initrd.

> > VFS: Mounted root (ext2 filesystem) readonly.
> > Freeing unused kernel memory: 380k freed
> > Linux Tulip driver version 1.1.13 (December 15, 2004)
> > ~ # 
> 
> Can you add "tulip_debug=4" to the "modprobe tulip" command?

Unfortunatly "modprobe tulip tulip_debug=4" produces nothing additional
in dmesg.

-- 
see shy jo
[signature.asc (application/pgp-signature, inline)]

Bug reassigned from package `linux-image-2.6.12-1-parisc64' to `linux-2.6'. Request was from Martin Michlmayr <tbm@cyrius.com> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#332962; Package linux-2.6. Full text and rfc822 format available.

Acknowledgement sent to Kyle McMartin <kyle@mcmartin.ca>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #57 received at 332962@bugs.debian.org (full text, mbox):

From: Kyle McMartin <kyle@mcmartin.ca>
To: 332962@bugs.debian.org
Subject: ACK metoo
Date: Wed, 5 Apr 2006 14:32:50 -0400
I'm also seeing this bug on a dual cpu A500-7X... Will investigate
and hopefully we'll find a solution.



Tags added: pending Request was from Dann Frazier <dannf@alioth.debian.org> to control@bugs.debian.org. (Thu, 22 Mar 2007 23:24:08 GMT) Full text and rfc822 format available.

Reply sent to Bastian Blank <waldi@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Joey Hess <joeyh@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #64 received at 332962-close@bugs.debian.org (full text, mbox):

From: Bastian Blank <waldi@debian.org>
To: 332962-close@bugs.debian.org
Subject: Bug#332962: fixed in linux-2.6 2.6.18.dfsg.1-12
Date: Mon, 26 Mar 2007 09:17:27 +0000
Source: linux-2.6
Source-Version: 2.6.18.dfsg.1-12

We believe that the bug you reported is fixed in the latest version of
linux-2.6, which is due to be installed in the Debian FTP archive:

linux-2.6_2.6.18.dfsg.1-12.diff.gz
  to pool/main/l/linux-2.6/linux-2.6_2.6.18.dfsg.1-12.diff.gz
linux-2.6_2.6.18.dfsg.1-12.dsc
  to pool/main/l/linux-2.6/linux-2.6_2.6.18.dfsg.1-12.dsc
linux-doc-2.6.18_2.6.18.dfsg.1-12_all.deb
  to pool/main/l/linux-2.6/linux-doc-2.6.18_2.6.18.dfsg.1-12_all.deb
linux-headers-2.6.18-4-all-powerpc_2.6.18.dfsg.1-12_powerpc.deb
  to pool/main/l/linux-2.6/linux-headers-2.6.18-4-all-powerpc_2.6.18.dfsg.1-12_powerpc.deb
linux-headers-2.6.18-4-all_2.6.18.dfsg.1-12_powerpc.deb
  to pool/main/l/linux-2.6/linux-headers-2.6.18-4-all_2.6.18.dfsg.1-12_powerpc.deb
linux-headers-2.6.18-4-powerpc-miboot_2.6.18.dfsg.1-12_powerpc.deb
  to pool/main/l/linux-2.6/linux-headers-2.6.18-4-powerpc-miboot_2.6.18.dfsg.1-12_powerpc.deb
linux-headers-2.6.18-4-powerpc-smp_2.6.18.dfsg.1-12_powerpc.deb
  to pool/main/l/linux-2.6/linux-headers-2.6.18-4-powerpc-smp_2.6.18.dfsg.1-12_powerpc.deb
linux-headers-2.6.18-4-powerpc64_2.6.18.dfsg.1-12_powerpc.deb
  to pool/main/l/linux-2.6/linux-headers-2.6.18-4-powerpc64_2.6.18.dfsg.1-12_powerpc.deb
linux-headers-2.6.18-4-powerpc_2.6.18.dfsg.1-12_powerpc.deb
  to pool/main/l/linux-2.6/linux-headers-2.6.18-4-powerpc_2.6.18.dfsg.1-12_powerpc.deb
linux-headers-2.6.18-4-prep_2.6.18.dfsg.1-12_powerpc.deb
  to pool/main/l/linux-2.6/linux-headers-2.6.18-4-prep_2.6.18.dfsg.1-12_powerpc.deb
linux-headers-2.6.18-4-vserver-powerpc64_2.6.18.dfsg.1-12_powerpc.deb
  to pool/main/l/linux-2.6/linux-headers-2.6.18-4-vserver-powerpc64_2.6.18.dfsg.1-12_powerpc.deb
linux-headers-2.6.18-4-vserver-powerpc_2.6.18.dfsg.1-12_powerpc.deb
  to pool/main/l/linux-2.6/linux-headers-2.6.18-4-vserver-powerpc_2.6.18.dfsg.1-12_powerpc.deb
linux-headers-2.6.18-4-vserver_2.6.18.dfsg.1-12_powerpc.deb
  to pool/main/l/linux-2.6/linux-headers-2.6.18-4-vserver_2.6.18.dfsg.1-12_powerpc.deb
linux-headers-2.6.18-4_2.6.18.dfsg.1-12_powerpc.deb
  to pool/main/l/linux-2.6/linux-headers-2.6.18-4_2.6.18.dfsg.1-12_powerpc.deb
linux-image-2.6.18-4-powerpc-miboot_2.6.18.dfsg.1-12_powerpc.deb
  to pool/main/l/linux-2.6/linux-image-2.6.18-4-powerpc-miboot_2.6.18.dfsg.1-12_powerpc.deb
linux-image-2.6.18-4-powerpc-smp_2.6.18.dfsg.1-12_powerpc.deb
  to pool/main/l/linux-2.6/linux-image-2.6.18-4-powerpc-smp_2.6.18.dfsg.1-12_powerpc.deb
linux-image-2.6.18-4-powerpc64_2.6.18.dfsg.1-12_powerpc.deb
  to pool/main/l/linux-2.6/linux-image-2.6.18-4-powerpc64_2.6.18.dfsg.1-12_powerpc.deb
linux-image-2.6.18-4-powerpc_2.6.18.dfsg.1-12_powerpc.deb
  to pool/main/l/linux-2.6/linux-image-2.6.18-4-powerpc_2.6.18.dfsg.1-12_powerpc.deb
linux-image-2.6.18-4-prep_2.6.18.dfsg.1-12_powerpc.deb
  to pool/main/l/linux-2.6/linux-image-2.6.18-4-prep_2.6.18.dfsg.1-12_powerpc.deb
linux-image-2.6.18-4-vserver-powerpc64_2.6.18.dfsg.1-12_powerpc.deb
  to pool/main/l/linux-2.6/linux-image-2.6.18-4-vserver-powerpc64_2.6.18.dfsg.1-12_powerpc.deb
linux-image-2.6.18-4-vserver-powerpc_2.6.18.dfsg.1-12_powerpc.deb
  to pool/main/l/linux-2.6/linux-image-2.6.18-4-vserver-powerpc_2.6.18.dfsg.1-12_powerpc.deb
linux-manual-2.6.18_2.6.18.dfsg.1-12_all.deb
  to pool/main/l/linux-2.6/linux-manual-2.6.18_2.6.18.dfsg.1-12_all.deb
linux-patch-debian-2.6.18_2.6.18.dfsg.1-12_all.deb
  to pool/main/l/linux-2.6/linux-patch-debian-2.6.18_2.6.18.dfsg.1-12_all.deb
linux-source-2.6.18_2.6.18.dfsg.1-12_all.deb
  to pool/main/l/linux-2.6/linux-source-2.6.18_2.6.18.dfsg.1-12_all.deb
linux-support-2.6.18-4_2.6.18.dfsg.1-12_all.deb
  to pool/main/l/linux-2.6/linux-support-2.6.18-4_2.6.18.dfsg.1-12_all.deb
linux-tree-2.6.18_2.6.18.dfsg.1-12_all.deb
  to pool/main/l/linux-2.6/linux-tree-2.6.18_2.6.18.dfsg.1-12_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 332962@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Bastian Blank <waldi@debian.org> (supplier of updated linux-2.6 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Mon, 26 Mar 2007 08:12:17 +0200
Source: linux-2.6
Binary: linux-image-2.6.18-4-powerpc-miboot linux-headers-2.6.18-4-parisc-smp linux-modules-2.6.18-4-xen-vserver-amd64 linux-headers-2.6.18-4-vserver-amd64 linux-image-2.6.18-4-sparc64-smp linux-image-2.6.18-4-sparc32 linux-image-2.6.18-4-footbridge linux-headers-2.6.18-4-xen-vserver-686 linux-headers-2.6.18-4-powerpc linux-headers-2.6.18-4-all-i386 linux-image-2.6.18-4-alpha-legacy linux-headers-2.6.18-4-vserver-s390x linux-image-2.6.18-4-686 linux-headers-2.6.18-4-686-bigmem linux-headers-2.6.18-4-s3c2410 linux-headers-2.6.18-4-sb1a-bcm91480b linux-image-2.6.18-4-vserver-powerpc linux-manual-2.6.18 linux-headers-2.6.18-4-sb1-bcm91250a xen-linux-system-2.6.18-4-xen-vserver-686 linux-image-2.6.18-4-xen-vserver-amd64 linux-headers-2.6.18-4-all-s390 linux-image-2.6.18-4-prep linux-headers-2.6.18-4-vserver-alpha linux-headers-2.6.18-4-amd64 linux-headers-2.6.18-4-amiga linux-headers-2.6.18-4-mckinley linux-headers-2.6.18-4-parisc64-smp linux-image-2.6.18-4-mckinley linux-headers-2.6.18-4-vserver-686 linux-image-2.6.18-4-686-bigmem linux-image-2.6.18-4-s390-tape linux-headers-2.6.18-4-iop32x linux-headers-2.6.18-4 linux-headers-2.6.18-4-vserver-sparc64 linux-image-2.6.18-4-s390x linux-headers-2.6.18-4-parisc64 linux-headers-2.6.18-4-xen-vserver linux-headers-2.6.18-4-all-m68k linux-headers-2.6.18-4-all-ia64 linux-image-2.6.18-4-mac linux-headers-2.6.18-4-s390x linux-image-2.6.18-4-powerpc-smp linux-headers-2.6.18-4-all-amd64 linux-headers-2.6.18-4-686 linux-image-2.6.18-4-powerpc64 linux-headers-2.6.18-4-mac xen-linux-system-2.6.18-4-xen-amd64 linux-image-2.6.18-4-vserver-alpha linux-image-2.6.18-4-sb1-bcm91250a linux-modules-2.6.18-4-xen-amd64 linux-image-2.6.18-4-amiga linux-image-2.6.18-4-xen-vserver-686 linux-headers-2.6.18-4-powerpc64 linux-image-2.6.18-4-powerpc linux-headers-2.6.18-4-all linux-image-2.6.18-4-r5k-cobalt linux-headers-2.6.18-4-all-powerpc linux-headers-2.6.18-4-itanium linux-image-2.6.18-4-sparc64 linux-headers-2.6.18-4-alpha-legacy linux-image-2.6.18-4-rpc linux-headers-2.6.18-4-sparc64 linux-image-2.6.18-4-alpha-generic linux-image-2.6.18-4-ixp4xx linux-image-2.6.18-4-parisc64 linux-headers-2.6.18-4-footbridge linux-headers-2.6.18-4-xen-amd64 linux-headers-2.6.18-4-powerpc-miboot linux-headers-2.6.18-4-xen-686 linux-modules-2.6.18-4-xen-vserver-686 linux-image-2.6.18-4-s3c2410 linux-image-2.6.18-4-vserver-sparc64 linux-headers-2.6.18-4-atari linux-doc-2.6.18 linux-headers-2.6.18-4-all-alpha linux-image-2.6.18-4-vserver-s390x linux-headers-2.6.18-4-xen-vserver-amd64 linux-image-2.6.18-4-sb1a-bcm91480b linux-image-2.6.18-4-vserver-powerpc64 linux-image-2.6.18-4-alpha-smp linux-image-2.6.18-4-parisc64-smp linux-image-2.6.18-4-r3k-kn02 linux-support-2.6.18-4 linux-source-2.6.18 linux-headers-2.6.18-4-k7 linux-headers-2.6.18-4-vserver linux-modules-2.6.18-4-xen-686 linux-headers-2.6.18-4-r4k-kn04 linux-headers-2.6.18-4-all-mipsel linux-headers-2.6.18-4-vserver-k7 linux-headers-2.6.18-4-r3k-kn02 linux-headers-2.6.18-4-all-sparc linux-headers-2.6.18-4-rpc linux-headers-2.6.18-4-r5k-cobalt xen-linux-system-2.6.18-4-xen-686 linux-headers-2.6.18-4-sparc64-smp linux-image-2.6.18-4-s390 linux-image-2.6.18-4-486 linux-headers-2.6.18-4-vserver-powerpc64 linux-image-2.6.18-4-r4k-kn04 linux-headers-2.6.18-4-r5k-ip32 linux-image-2.6.18-4-iop32x linux-headers-2.6.18-4-all-mips linux-headers-2.6.18-4-ixp4xx linux-image-2.6.18-4-parisc-smp linux-headers-2.6.18-4-s390 linux-headers-2.6.18-4-vserver-powerpc linux-image-2.6.18-4-vserver-686 linux-headers-2.6.18-4-all-hppa linux-image-2.6.18-4-parisc linux-image-2.6.18-4-vserver-amd64 linux-image-2.6.18-4-vserver-k7 linux-headers-2.6.18-4-r4k-ip22 linux-image-2.6.18-4-xen-686 linux-image-2.6.18-4-r5k-ip32 linux-headers-2.6.18-4-sparc32 linux-image-2.6.18-4-r4k-ip22 linux-patch-debian-2.6.18 linux-headers-2.6.18-4-powerpc-smp linux-headers-2.6.18-4-alpha-smp linux-tree-2.6.18 xen-linux-system-2.6.18-4-xen-vserver-amd64 linux-image-2.6.18-4-k7 linux-image-2.6.18-4-qemu linux-headers-2.6.18-4-qemu linux-headers-2.6.18-4-xen linux-headers-2.6.18-4-alpha-generic linux-headers-2.6.18-4-parisc linux-image-2.6.18-4-amd64 linux-headers-2.6.18-4-prep linux-image-2.6.18-4-itanium linux-image-2.6.18-4-xen-amd64 linux-headers-2.6.18-4-486 linux-headers-2.6.18-4-all-arm linux-image-2.6.18-4-atari
Architecture: source powerpc all
Version: 2.6.18.dfsg.1-12
Distribution: unstable
Urgency: low
Maintainer: Debian Kernel Team <debian-kernel@lists.debian.org>
Changed-By: Bastian Blank <waldi@debian.org>
Description: 
 linux-doc-2.6.18 - Linux kernel specific documentation for version 2.6.18
 linux-headers-2.6.18-4 - Common header files for Linux 2.6.18
 linux-headers-2.6.18-4-all - All header files for Linux 2.6.18
 linux-headers-2.6.18-4-all-powerpc - All header files for Linux 2.6.18
 linux-headers-2.6.18-4-powerpc - Header files for Linux 2.6.18 on uniprocessor 32-bit PowerPC
 linux-headers-2.6.18-4-powerpc-miboot - Header files for Linux 2.6.18 on 32-bit PowerPC for miboot floppy
 linux-headers-2.6.18-4-powerpc-smp - Header files for Linux 2.6.18 on multiprocessor 32-bit PowerPC
 linux-headers-2.6.18-4-powerpc64 - Header files for Linux 2.6.18 on 64-bit PowerPC
 linux-headers-2.6.18-4-prep - Header files for Linux 2.6.18 on PReP PowerPC
 linux-headers-2.6.18-4-vserver - Common header files for Linux 2.6.18
 linux-headers-2.6.18-4-vserver-powerpc - Header files for Linux 2.6.18 on uniprocessor 32-bit PowerPC
 linux-headers-2.6.18-4-vserver-powerpc64 - Header files for Linux 2.6.18 on 64-bit PowerPC
 linux-image-2.6.18-4-powerpc - Linux 2.6.18 image on uniprocessor 32-bit PowerPC
 linux-image-2.6.18-4-powerpc-miboot - Linux 2.6.18 image on 32-bit PowerPC for miboot floppy
 linux-image-2.6.18-4-powerpc-smp - Linux 2.6.18 image on multiprocessor 32-bit PowerPC
 linux-image-2.6.18-4-powerpc64 - Linux 2.6.18 image on 64-bit PowerPC
 linux-image-2.6.18-4-prep - Linux 2.6.18 image on PReP PowerPC
 linux-image-2.6.18-4-vserver-powerpc - Linux 2.6.18 image on uniprocessor 32-bit PowerPC
 linux-image-2.6.18-4-vserver-powerpc64 - Linux 2.6.18 image on 64-bit PowerPC
 linux-manual-2.6.18 - Linux kernel API manual pages for version 2.6.18
 linux-patch-debian-2.6.18 - Debian patches to version 2.6.18 of the Linux kernel
 linux-source-2.6.18 - Linux kernel source for version 2.6.18 with Debian patches
 linux-support-2.6.18-4 - Support files for Linux 2.6.18
 linux-tree-2.6.18 - Linux kernel source tree for building Debian kernel images
Closes: 332962 398470 409313 410010 411813 412143 412749 413311 414877 415476 415805 415818 415819
Changes: 
 linux-2.6 (2.6.18.dfsg.1-12) unstable; urgency=low
 .
   [ Steve Langasek ]
   * Set CONFIG_MATHEMU=y on alpha, which is required for proper fp math on
     at least ev4-ev56 systems.  Closes: #411813.
   * linux-image packages need to depend on a newer version of coreutils,
     because of the use of readlink -q -m inherited from kernel-package.
     Closes: #413311.
 .
   [ Jurij Smakov ]
   * Add bugfix/sparc/e450-boot-failure.patch to fix boot failure on
     E450 machines. Thanks to David Miller for the patch and to Daniel
     Smolik for testing. Closes: #415818
   * Add bugfix/sparc/eth1394-unaligned-access.patch to fix unaligned
     memory accesses in the Firewire eth1394 driver. Thanks to Emanuele
     Rocca for the patch. Closes: #412749.
   * Add bugfix/sparc/kenvctrld-cpu-consumption.patch to fix kenvctrld
     process, so that it does not consume 100% CPU. Thanks to Joerg Friedrich
     for the patch, and to J. J. Green and Richard Mortimer for testing.
     Closes: #414877
   * Add bugfix/sparc/ip_rcv-unaligned-access.patch fixing a typo which lead
     to frequent unaligned memory accesses on Sun machines with tulip NIC.
     Thanks to Doug Nazar for the patch and to Daniel J. Priem for testing.
     Closes: #409313.
   * Add bugfix/sparc/tcp-sendmsg-t12k-oops-fix.patch by David Miller, fixing
     an occasional oops in tcp_sendmsg() on T1k/T2k machines under heavy
     network load. Closes: #415819
 .
   [ dann frazier ]
   * bugfix/keys-serial-num-collision.patch
     [SECURITY] Fix the key serial number collision avoidance code in
     key_alloc_serial() that could lead to a local DoS (oops).
     (closes: #398470)
     See CVE-2007-0006
   * bugfix/ipv6_getsockopt_sticky-null-opt.patch
     [SECURITY] Fix NULL dereference in ipv6_setsockopt that could lead
     to a local DoS (oops).
     See CVE-2007-1388
   * bugfix/ipv6_getsockopt_sticky-null-opt.patch
     [SECURITY] Fix kernel memory leak vulnerability in
     ipv6_getsockopt_sticky() which can be triggered by passing a len < 0.
     See CVE-2007-1000
   * Enable CONFIG_TULIP_MMIO on hppa. (closes: #332962)
   * bugfix/bnx2_tx_avail-off-by-1-fix.patch
     Fix a panic in the bnx2 driver caused by an off-by-one error
     (closes: #410010)
   * bugfix/all/vserver/cross-context-renice-fix.patch
     [SECURITY] Fix a vulnerability that permits renicing processes in
     other contexts. (closes: #412143)
     See CVE-2007-0241
   * natsemi-napi-shared-irq.patch
     Fix hang in natsemi driver when sharing interrupts. (closes: #415476)
     Thanks to Mark Brown for the backport.
 .
   [ Bastian Blank ]
   * xen: Fix highmem dma copy code. (closes: #415805)
 .
   [ Martin Michlmayr ]
   * mips: Implement flush_anon_page() to fix data corruption issues
     (Ralf Baechle).
Files: 
 1dc7438aab1a44fd3c20bb945090a8dd 5670 devel optional linux-2.6_2.6.18.dfsg.1-12.dsc
 fd456082e00c9dbaacdf75352e1fd6a6 5315160 devel optional linux-2.6_2.6.18.dfsg.1-12.diff.gz
 6c6d1877b8dd004cdf9e8e594cdb35bb 3602810 doc optional linux-doc-2.6.18_2.6.18.dfsg.1-12_all.deb
 15ccbd931d6f9ee3c5eb2e1712b7c0a3 1075450 doc optional linux-manual-2.6.18_2.6.18.dfsg.1-12_all.deb
 1f3a6d5283a8a2806b4d310bf7dc6bc7 1434840 devel optional linux-patch-debian-2.6.18_2.6.18.dfsg.1-12_all.deb
 dcb6a0a67175f2c1fd142544ec804554 41414748 devel optional linux-source-2.6.18_2.6.18.dfsg.1-12_all.deb
 eddb2ba15a4a0fd786650cb44796dffa 3778888 devel optional linux-support-2.6.18-4_2.6.18.dfsg.1-12_all.deb
 d9f87ddf4e81d07a61e75beb4df161c0 49574 devel optional linux-tree-2.6.18_2.6.18.dfsg.1-12_all.deb
 167092b1e37709dbfcfce8b923b898ee 49148 devel optional linux-headers-2.6.18-4-all_2.6.18.dfsg.1-12_powerpc.deb
 d1eeaacc64bcdfa563c9a6283ab4a76f 49194 devel optional linux-headers-2.6.18-4-all-powerpc_2.6.18.dfsg.1-12_powerpc.deb
 ad014bf22778b380a18c4e8bb535e965 3387952 devel optional linux-headers-2.6.18-4_2.6.18.dfsg.1-12_powerpc.deb
 74ae6dcc842afeafa96957e103e2cbc6 16627028 admin optional linux-image-2.6.18-4-powerpc_2.6.18.dfsg.1-12_powerpc.deb
 162f519db603c3e163afe3d90e16b364 246860 devel optional linux-headers-2.6.18-4-powerpc_2.6.18.dfsg.1-12_powerpc.deb
 02e72ac8e43753e22fee4a02b10f2d47 16964486 admin optional linux-image-2.6.18-4-powerpc-smp_2.6.18.dfsg.1-12_powerpc.deb
 0376aa288bf6e8da587b0e4a73ee8316 247500 devel optional linux-headers-2.6.18-4-powerpc-smp_2.6.18.dfsg.1-12_powerpc.deb
 69545c21200453ce3994d83ee7adb761 15153706 admin optional linux-image-2.6.18-4-powerpc-miboot_2.6.18.dfsg.1-12_powerpc.deb
 246233f2264fc9cad6d761b92d224e5f 223382 devel optional linux-headers-2.6.18-4-powerpc-miboot_2.6.18.dfsg.1-12_powerpc.deb
 6f84f662d39067eb61bb15ba307e6b1d 18295410 admin optional linux-image-2.6.18-4-powerpc64_2.6.18.dfsg.1-12_powerpc.deb
 83a6cddfd873f2e84467249c9c461bf5 247774 devel optional linux-headers-2.6.18-4-powerpc64_2.6.18.dfsg.1-12_powerpc.deb
 5a923882185cd4dc4f80acd3f013c7fd 16398058 admin optional linux-image-2.6.18-4-prep_2.6.18.dfsg.1-12_powerpc.deb
 811fb5ee7d7120498b0df8fad5f9ba89 241720 devel optional linux-headers-2.6.18-4-prep_2.6.18.dfsg.1-12_powerpc.deb
 0f942d84af439e94bf57fb98dd3d3f83 3410456 devel optional linux-headers-2.6.18-4-vserver_2.6.18.dfsg.1-12_powerpc.deb
 3adf43e7d98ff210c862b3caad454661 17010900 admin optional linux-image-2.6.18-4-vserver-powerpc_2.6.18.dfsg.1-12_powerpc.deb
 4b9f2987c83d63dbc614e246b6e9c447 247566 devel optional linux-headers-2.6.18-4-vserver-powerpc_2.6.18.dfsg.1-12_powerpc.deb
 7ab20872b20805546ea31389532e2ddd 18344212 admin optional linux-image-2.6.18-4-vserver-powerpc64_2.6.18.dfsg.1-12_powerpc.deb
 a2a3720a5f0105e4d7fc9335cbfcd6d5 247892 devel optional linux-headers-2.6.18-4-vserver-powerpc64_2.6.18.dfsg.1-12_powerpc.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iEYEARECAAYFAkYHjcYACgkQLkAIIn9ODhHP5wCfUevsJcho3151eRxcCvBhScVi
gg4An1XQyROYmJ+DEx2z4n+LAtnAzrmb
=wT0Z
-----END PGP SIGNATURE-----




Reply sent to Bastian Blank <waldi@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Joey Hess <joeyh@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #69 received at 332962-close@bugs.debian.org (full text, mbox):

From: Bastian Blank <waldi@debian.org>
To: 332962-close@bugs.debian.org
Subject: Bug#332962: fixed in linux-2.6 2.6.20-2
Date: Sun, 15 Apr 2007 19:22:09 +0000
Source: linux-2.6
Source-Version: 2.6.20-2

We believe that the bug you reported is fixed in the latest version of
linux-2.6, which is due to be installed in the Debian FTP archive:

linux-2.6_2.6.20-2.diff.gz
  to pool/main/l/linux-2.6/linux-2.6_2.6.20-2.diff.gz
linux-2.6_2.6.20-2.dsc
  to pool/main/l/linux-2.6/linux-2.6_2.6.20-2.dsc
linux-doc-2.6.20_2.6.20-2_all.deb
  to pool/main/l/linux-2.6/linux-doc-2.6.20_2.6.20-2_all.deb
linux-headers-2.6.20-1-all-powerpc_2.6.20-2_powerpc.deb
  to pool/main/l/linux-2.6/linux-headers-2.6.20-1-all-powerpc_2.6.20-2_powerpc.deb
linux-headers-2.6.20-1-all_2.6.20-2_powerpc.deb
  to pool/main/l/linux-2.6/linux-headers-2.6.20-1-all_2.6.20-2_powerpc.deb
linux-headers-2.6.20-1-powerpc-miboot_2.6.20-2_powerpc.deb
  to pool/main/l/linux-2.6/linux-headers-2.6.20-1-powerpc-miboot_2.6.20-2_powerpc.deb
linux-headers-2.6.20-1-powerpc-smp_2.6.20-2_powerpc.deb
  to pool/main/l/linux-2.6/linux-headers-2.6.20-1-powerpc-smp_2.6.20-2_powerpc.deb
linux-headers-2.6.20-1-powerpc64_2.6.20-2_powerpc.deb
  to pool/main/l/linux-2.6/linux-headers-2.6.20-1-powerpc64_2.6.20-2_powerpc.deb
linux-headers-2.6.20-1-powerpc_2.6.20-2_powerpc.deb
  to pool/main/l/linux-2.6/linux-headers-2.6.20-1-powerpc_2.6.20-2_powerpc.deb
linux-headers-2.6.20-1-prep_2.6.20-2_powerpc.deb
  to pool/main/l/linux-2.6/linux-headers-2.6.20-1-prep_2.6.20-2_powerpc.deb
linux-headers-2.6.20-1-vserver-powerpc64_2.6.20-2_powerpc.deb
  to pool/main/l/linux-2.6/linux-headers-2.6.20-1-vserver-powerpc64_2.6.20-2_powerpc.deb
linux-headers-2.6.20-1-vserver-powerpc_2.6.20-2_powerpc.deb
  to pool/main/l/linux-2.6/linux-headers-2.6.20-1-vserver-powerpc_2.6.20-2_powerpc.deb
linux-headers-2.6.20-1-vserver_2.6.20-2_powerpc.deb
  to pool/main/l/linux-2.6/linux-headers-2.6.20-1-vserver_2.6.20-2_powerpc.deb
linux-headers-2.6.20-1_2.6.20-2_powerpc.deb
  to pool/main/l/linux-2.6/linux-headers-2.6.20-1_2.6.20-2_powerpc.deb
linux-image-2.6.20-1-powerpc-miboot_2.6.20-2_powerpc.deb
  to pool/main/l/linux-2.6/linux-image-2.6.20-1-powerpc-miboot_2.6.20-2_powerpc.deb
linux-image-2.6.20-1-powerpc-smp_2.6.20-2_powerpc.deb
  to pool/main/l/linux-2.6/linux-image-2.6.20-1-powerpc-smp_2.6.20-2_powerpc.deb
linux-image-2.6.20-1-powerpc64_2.6.20-2_powerpc.deb
  to pool/main/l/linux-2.6/linux-image-2.6.20-1-powerpc64_2.6.20-2_powerpc.deb
linux-image-2.6.20-1-powerpc_2.6.20-2_powerpc.deb
  to pool/main/l/linux-2.6/linux-image-2.6.20-1-powerpc_2.6.20-2_powerpc.deb
linux-image-2.6.20-1-prep_2.6.20-2_powerpc.deb
  to pool/main/l/linux-2.6/linux-image-2.6.20-1-prep_2.6.20-2_powerpc.deb
linux-image-2.6.20-1-vserver-powerpc64_2.6.20-2_powerpc.deb
  to pool/main/l/linux-2.6/linux-image-2.6.20-1-vserver-powerpc64_2.6.20-2_powerpc.deb
linux-image-2.6.20-1-vserver-powerpc_2.6.20-2_powerpc.deb
  to pool/main/l/linux-2.6/linux-image-2.6.20-1-vserver-powerpc_2.6.20-2_powerpc.deb
linux-libc-dev_2.6.20-2_powerpc.deb
  to pool/main/l/linux-2.6/linux-libc-dev_2.6.20-2_powerpc.deb
linux-manual-2.6.20_2.6.20-2_all.deb
  to pool/main/l/linux-2.6/linux-manual-2.6.20_2.6.20-2_all.deb
linux-patch-debian-2.6.20_2.6.20-2_all.deb
  to pool/main/l/linux-2.6/linux-patch-debian-2.6.20_2.6.20-2_all.deb
linux-source-2.6.20_2.6.20-2_all.deb
  to pool/main/l/linux-2.6/linux-source-2.6.20_2.6.20-2_all.deb
linux-support-2.6.20-1_2.6.20-2_all.deb
  to pool/main/l/linux-2.6/linux-support-2.6.20-1_2.6.20-2_all.deb
linux-tree-2.6.20_2.6.20-2_all.deb
  to pool/main/l/linux-2.6/linux-tree-2.6.20_2.6.20-2_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 332962@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Bastian Blank <waldi@debian.org> (supplier of updated linux-2.6 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sun, 15 Apr 2007 16:04:16 +0200
Source: linux-2.6
Binary: linux-headers-2.6.20-1-prep linux-headers-2.6.20-1-itanium linux-headers-2.6.20-1-686 linux-image-2.6.20-1-powerpc64 linux-headers-2.6.20-1-mckinley linux-image-2.6.20-1-vserver-powerpc64 linux-image-2.6.20-1-powerpc linux-image-2.6.20-1-parisc-smp linux-headers-2.6.20-1-atari linux-image-2.6.20-1-powerpc-miboot linux-image-2.6.20-1-s390x linux-headers-2.6.20-1-486 linux-image-2.6.20-1-sparc64-smp linux-headers-2.6.20-1-vserver-powerpc linux-support-2.6.20-1 linux-image-2.6.20-1-sparc64 linux-image-2.6.20-1-686 linux-headers-2.6.20-1-all-sparc linux-image-2.6.20-1-ixp4xx linux-headers-2.6.20-1-xen-686 linux-headers-2.6.20-1-parisc64 linux-headers-2.6.20-1-powerpc linux-headers-2.6.20-1-xen-amd64 linux-headers-2.6.20-1-all-i386 linux-doc-2.6.20 linux-headers-2.6.20-1-all-powerpc linux-image-2.6.20-1-mckinley linux-image-2.6.20-1-vserver-s390x linux-image-2.6.20-1-vserver-powerpc linux-headers-2.6.20-1-r5k-ip32 linux-headers-2.6.20-1-powerpc64 linux-image-2.6.20-1-atari linux-headers-2.6.20-1-parisc linux-headers-2.6.20-1-parisc64-smp linux-image-2.6.20-1-xen-amd64 linux-headers-2.6.20-1-xen linux-headers-2.6.20-1-s390x linux-headers-2.6.20-1-all-arm linux-headers-2.6.20-1-vserver-s390x linux-image-2.6.20-1-sb1-bcm91250a linux-headers-2.6.20-1-amiga linux-image-2.6.20-1-vserver-k7 linux-libc-dev linux-headers-2.6.20-1-sparc64-smp linux-headers-2.6.20-1-vserver-powerpc64 linux-headers-2.6.20-1-powerpc-smp linux-headers-2.6.20-1-parisc-smp linux-headers-2.6.20-1-all linux-headers-2.6.20-1-sparc32 linux-image-2.6.20-1-sparc32 linux-headers-2.6.20-1-vserver-k7 linux-image-2.6.20-1-amd64 linux-image-2.6.20-1-qemu linux-image-2.6.20-1-iop32x linux-headers-2.6.20-1-mac linux-headers-2.6.20-1-vserver-amd64 xen-linux-system-2.6.20-1-xen-amd64 linux-source-2.6.20 linux-image-2.6.20-1-r5k-ip32 linux-headers-2.6.20-1-686-bigmem linux-modules-2.6.20-1-xen-amd64 linux-headers-2.6.20-1-sparc64 linux-image-2.6.20-1-powerpc-smp linux-headers-2.6.20-1-all-alpha linux-image-2.6.20-1-486 linux-headers-2.6.20-1-vserver-sparc64 linux-manual-2.6.20 linux-image-2.6.20-1-footbridge linux-headers-2.6.20-1-all-s390 linux-headers-2.6.20-1-all-mipsel linux-image-2.6.20-1-686-bigmem xen-linux-system-2.6.20-1-xen-686 linux-headers-2.6.20-1-sb1-bcm91250a linux-image-2.6.20-1-itanium linux-patch-debian-2.6.20 linux-headers-2.6.20-1-footbridge linux-headers-2.6.20-1-iop32x linux-modules-2.6.20-1-xen-686 linux-image-2.6.20-1-xen-686 linux-headers-2.6.20-1-s390 linux-image-2.6.20-1-k7 linux-headers-2.6.20-1-amd64 linux-image-2.6.20-1-r4k-ip22 linux-image-2.6.20-1-parisc64-smp linux-headers-2.6.20-1-qemu linux-image-2.6.20-1-vserver-amd64 linux-headers-2.6.20-1-all-hppa linux-headers-2.6.20-1-vserver-686 linux-image-2.6.20-1-r5k-cobalt linux-tree-2.6.20 linux-headers-2.6.20-1-sb1a-bcm91480b linux-headers-2.6.20-1-vserver linux-headers-2.6.20-1-all-mips linux-headers-2.6.20-1 linux-image-2.6.20-1-parisc64 linux-image-2.6.20-1-mac linux-headers-2.6.20-1-r5k-cobalt linux-image-2.6.20-1-sb1a-bcm91480b linux-headers-2.6.20-1-all-ia64 linux-image-2.6.20-1-prep linux-image-2.6.20-1-s390 linux-headers-2.6.20-1-ixp4xx linux-image-2.6.20-1-s390-tape linux-headers-2.6.20-1-powerpc-miboot linux-image-2.6.20-1-parisc linux-image-2.6.20-1-vserver-sparc64 linux-headers-2.6.20-1-r4k-ip22 linux-image-2.6.20-1-amiga linux-image-2.6.20-1-vserver-686 linux-headers-2.6.20-1-all-amd64 linux-headers-2.6.20-1-k7 linux-headers-2.6.20-1-all-m68k
Architecture: source all powerpc
Version: 2.6.20-2
Distribution: unstable
Urgency: low
Maintainer: Debian Kernel Team <debian-kernel@lists.debian.org>
Changed-By: Bastian Blank <waldi@debian.org>
Description: 
 linux-doc-2.6.20 - Linux kernel specific documentation for version 2.6.20
 linux-headers-2.6.20-1 - Common header files for Linux 2.6.20
 linux-headers-2.6.20-1-all - All header files for Linux 2.6.20
 linux-headers-2.6.20-1-all-powerpc - All header files for Linux 2.6.20
 linux-headers-2.6.20-1-powerpc - Header files for Linux 2.6.20 on uniprocessor 32-bit PowerPC
 linux-headers-2.6.20-1-powerpc-miboot - Header files for Linux 2.6.20 on 32-bit PowerPC for miboot floppy
 linux-headers-2.6.20-1-powerpc-smp - Header files for Linux 2.6.20 on multiprocessor 32-bit PowerPC
 linux-headers-2.6.20-1-powerpc64 - Header files for Linux 2.6.20 on 64-bit PowerPC
 linux-headers-2.6.20-1-prep - Header files for Linux 2.6.20 on PReP PowerPC
 linux-headers-2.6.20-1-vserver - Common header files for Linux 2.6.20
 linux-headers-2.6.20-1-vserver-powerpc - Header files for Linux 2.6.20 on uniprocessor 32-bit PowerPC
 linux-headers-2.6.20-1-vserver-powerpc64 - Header files for Linux 2.6.20 on 64-bit PowerPC
 linux-image-2.6.20-1-powerpc - Linux 2.6.20 image on uniprocessor 32-bit PowerPC
 linux-image-2.6.20-1-powerpc-miboot - Linux 2.6.20 image on 32-bit PowerPC for miboot floppy
 linux-image-2.6.20-1-powerpc-smp - Linux 2.6.20 image on multiprocessor 32-bit PowerPC
 linux-image-2.6.20-1-powerpc64 - Linux 2.6.20 image on 64-bit PowerPC
 linux-image-2.6.20-1-prep - Linux 2.6.20 image on PReP PowerPC
 linux-image-2.6.20-1-vserver-powerpc - Linux 2.6.20 image on uniprocessor 32-bit PowerPC
 linux-image-2.6.20-1-vserver-powerpc64 - Linux 2.6.20 image on 64-bit PowerPC
 linux-libc-dev - Linux Kernel Headers for development
 linux-manual-2.6.20 - Linux kernel API manual pages for version 2.6.20
 linux-patch-debian-2.6.20 - Debian patches to version 2.6.20 of the Linux kernel
 linux-source-2.6.20 - Linux kernel source for version 2.6.20 with Debian patches
 linux-support-2.6.20-1 - Support files for Linux 2.6.20
 linux-tree-2.6.20 - Linux kernel source tree for building Debian kernel images
Closes: 332962
Changes: 
 linux-2.6 (2.6.20-2) unstable; urgency=low
 .
   [ Bastian Blank ]
   * Rename linux-libc-headers into linux-libc-dev.
   * [mips] Drop sb1250 uart support.
   * [alpha] Temporary disable alpha images.
   * Add stable release 2.6.20.7:
     - Linux 2.6.20.7
     - Update libata drive blacklist to the latest from 2.6.21
     - fix page leak during core dump
     - revert "retries in ext4_prepare_write() violate ordering requirements"
     - revert "retries in ext3_prepare_write() violate ordering requirements"
     - libata: Clear tf before doing request sense (take 3)
     - fix lba48 bug in libata fill_result_tf()
     - ahci.c: walkaround for SB600 SATA internal error issue
     - libata bugfix: preserve LBA bit for HDIO_DRIVE_TASK
     - softmac: avoid assert in ieee80211softmac_wx_get_rate
     - knfsd: allow nfsd READDIR to return 64bit cookies
     - Fix TCP slow_start_after_idle sysctl
     - Fix tcindex classifier ABI borkage...
     - Fix IPSEC replay window handling
     - Fix TCP receiver side SWS handling.
     - Fix scsi sense handling
     - Fix length validation in rawv6_sendmsg()
     - NETFILTER: ipt_CLUSTERIP: fix oops in checkentry function
     - 8139too: RTNL and flush_scheduled_work deadlock
     - Fix calculation for size of filemap_attr array in md/bitmap.
     - HID: Do not discard truncated input reports
     - DVB: pluto2: fix incorrect TSCR register setting
     - DVB: tda10086: fix DiSEqC message length
     - sky2: phy workarounds for Yukon EC-U A1
     - sky2: turn on clocks when doing resume
     - sky2: turn carrier off when down
     - skge: turn carrier off when down
     - sky2: reliable recovery
     - i386: fix file_read_actor() and pipe_read() for original i386 systems
     - kbuild: fix dependency generation
 .
   [ dann frazier ]
   * [hppa] Add parisc arch patch from Kyle McMartin
   * [hppa] Enable CONFIG_TULIP_MMIO (closes: #332962)
   * [hppa] Disable ni52 driver, it doesn't build (and wouldn't work if it did)
Files: 
 3763cf6f5b8e86b0d0583d944f03fe29 4798 devel optional linux-2.6_2.6.20-2.dsc
 3728b2e222f7b6a42e8e6101fd77ddbb 3536428 devel optional linux-2.6_2.6.20-2.diff.gz
 da1d27c77d31d1ae279fb84b15f16945 3772748 doc optional linux-doc-2.6.20_2.6.20-2_all.deb
 440f0a7cf0f851f1d32e6a81ee128623 1301960 doc optional linux-manual-2.6.20_2.6.20-2_all.deb
 c930963936d00c912b09d35658d99181 966894 devel optional linux-patch-debian-2.6.20_2.6.20-2_all.deb
 730a23b15af60d680224a8dccaebdf74 43464550 devel optional linux-source-2.6.20_2.6.20-2_all.deb
 b7297f359d4288e049d86f63587b56d0 2381822 devel optional linux-support-2.6.20-1_2.6.20-2_all.deb
 21fdebd0a75969e34d3d81ffd8bfb325 53304 devel optional linux-tree-2.6.20_2.6.20-2_all.deb
 47cab3ba07b3b81ad4f4865bf2a23c3d 52952 devel optional linux-headers-2.6.20-1-all_2.6.20-2_powerpc.deb
 07295fb2b61132da14d0b305ca942236 52996 devel optional linux-headers-2.6.20-1-all-powerpc_2.6.20-2_powerpc.deb
 2c222eeb380176f7a2cb95e4d58a6f10 643500 devel optional linux-libc-dev_2.6.20-2_powerpc.deb
 d122b5e54ef0643a18a7f79f944eb897 3553690 devel optional linux-headers-2.6.20-1_2.6.20-2_powerpc.deb
 66cb4e1eed4326f4000eec1f7430f103 17579944 admin optional linux-image-2.6.20-1-powerpc_2.6.20-2_powerpc.deb
 8290e681e638a5610f7482c32c5c6fc4 267244 devel optional linux-headers-2.6.20-1-powerpc_2.6.20-2_powerpc.deb
 1e715f9e88ec7d538e6ecb3fabea8c23 17925894 admin optional linux-image-2.6.20-1-powerpc-smp_2.6.20-2_powerpc.deb
 9db5f048ea7fd2f6740c1ae37ef4d87e 268180 devel optional linux-headers-2.6.20-1-powerpc-smp_2.6.20-2_powerpc.deb
 96ce90dae8cf61c63a8781151364611e 15962574 admin optional linux-image-2.6.20-1-powerpc-miboot_2.6.20-2_powerpc.deb
 749d6a1b2fcb9e6c806fef044722414c 242688 devel optional linux-headers-2.6.20-1-powerpc-miboot_2.6.20-2_powerpc.deb
 f5f4af7450371c4fe483bdee89dec7a1 19191764 admin optional linux-image-2.6.20-1-powerpc64_2.6.20-2_powerpc.deb
 9444172e644406882bc8880d7fc4b0c2 267242 devel optional linux-headers-2.6.20-1-powerpc64_2.6.20-2_powerpc.deb
 bd091f4db662512d7ecd4b9f2931d765 17263666 admin optional linux-image-2.6.20-1-prep_2.6.20-2_powerpc.deb
 5069575d0ea56e0aa0d20870f597f082 258980 devel optional linux-headers-2.6.20-1-prep_2.6.20-2_powerpc.deb
 82fdf15f09c10772179ea65d28c8b172 3583490 devel optional linux-headers-2.6.20-1-vserver_2.6.20-2_powerpc.deb
 87f74f363cde5fbe56b2c7a509860b98 17931680 admin optional linux-image-2.6.20-1-vserver-powerpc_2.6.20-2_powerpc.deb
 2c66fd9f1d95cb661605b9d3b0fbccc7 268514 devel optional linux-headers-2.6.20-1-vserver-powerpc_2.6.20-2_powerpc.deb
 eadd69d7b4aa332470d59d95d69aeac2 19197026 admin optional linux-image-2.6.20-1-vserver-powerpc64_2.6.20-2_powerpc.deb
 24a000e10c1ea6b0c7f0ab5197934aa5 267588 devel optional linux-headers-2.6.20-1-vserver-powerpc64_2.6.20-2_powerpc.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iEYEARECAAYFAkYiQw8ACgkQLkAIIn9ODhHkFQCeKCqBQxxmGMmZ02XdcZ9MCSuJ
yrIAniH9zIVI5er/iiP4doMArfSa+iv3
=OJMF
-----END PGP SIGNATURE-----




Tags added: pending Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Tue, 17 Apr 2007 12:09:02 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 26 Jun 2007 04:03:53 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 16:42:42 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.